import java.io.BufferedReader;
import java.io.FileReader;
import java.io.IOException;
import java.util.regex.Matcher;
import java.util.regex.Pattern;


public class PhoneyNumbers {

	public static void main(String[] args) throws IOException {
		BufferedReader br = new BufferedReader (
				new FileReader ("PhoneyNumbersIN.txt"));
		
		while (br.ready()) {
			System.out.println(getPhoneNumber(br.readLine()));
		}
		
		br.close();
	}
	public static String getPhoneNumber(String text) {
		Pattern p = Pattern.compile(".*\\(?(\\d)\\)?(?: |-)(\\d\\d)-(\\d\\d).*");
		Matcher m = p.matcher(text);
		if (!m.matches()) {
			return null;
		}
		
		return "(" + m.group(1) + ") " + m.group(2) + "-" + m.group(3);
	}

}
