import java.io.BufferedReader;
import java.io.FileReader;
import java.io.IOException;
import java.util.Arrays;


public class NestAndBreakfast {
	public static void main(String[] args) throws IOException {
		
		BufferedReader br = new BufferedReader (new FileReader 
												("NestAndBreakfastIN.txt"));
		
		while (br.ready()) {
			String line = br.readLine();
			
			String[] data = line.split(" ");
			int num = Integer.parseInt(data[0]);
			int[] reservations = new int[num];
			for (int i = 0; i < num; i++) {
				reservations[i] = Integer.parseInt(data[i+1]);
			}
			
			System.out.println(maxReservations(reservations));
		}
		
		
		br.close ();
	}

	private static long maxReservations(int[] reservations) {
		int l = reservations.length;
		long[] max = new long[l];
		
		max[0] = reservations[0];
		max[1] = Math.max(max[0], reservations[1]);
		for (int i = 2; i < l; i++) {
			max[i] = Math.max(reservations[i] + max[i-2], max[i-1]);
		}
		return Math.max(max[l-1], max[l-2]);
	}
}
